Skip to content

Processor settlements feed

GET
/api/app/service-provider/processor-settlements
curl --request GET \
--url https://test.unipay.co.zw/api/app/service-provider/processor-settlements \
--header 'Authorization: Bearer <token>'
afterId
string format: uuid

OK

Media typeapplication/json
Array<object>
object
id
string format: uuid
paymentProcessorId
string format: uuid
paymentProcessorName
string
nullable
paymentProcessorCode
string
nullable
settlementDate
string format: date
reconDate
string format: date
timeZone
string
nullable
transferReference
string
nullable
creditedAccountNumber
string
nullable
creditedAccountRecognised
boolean
currency
string
nullable
grossAmount
number format: double
feeAmount
number format: double
netAmount
number format: double
isBalanced
boolean
submittedAt
string format: date-time
lines
Array<object>
nullable
object
rrn
string
nullable
billNo
string
nullable
amount
number format: double
outcome
string
nullable
paymentId
string format: uuid
nullable
Examplegenerated
[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"paymentProcessorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"paymentProcessorName": "example",
"paymentProcessorCode": "example",
"settlementDate": "2026-04-15",
"reconDate": "2026-04-15",
"timeZone": "example",
"transferReference": "example",
"creditedAccountNumber": "example",
"creditedAccountRecognised": true,
"currency": "example",
"grossAmount": 1,
"feeAmount": 1,
"netAmount": 1,
"isBalanced": true,
"submittedAt": "2026-04-15T12:00:00Z",
"lines": [
{
"rrn": "example",
"billNo": "example",
"amount": 1,
"outcome": "example",
"paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]
}
]

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions